Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 168995 - bug in netfs script causes hang on shutdown
Summary: bug in netfs script causes hang on shutdown
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard: bzcl34nup
Depends On: 146141
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-09-21 21:17 UTC by Bill Nottingham
Modified: 2014-03-17 02:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:14:25 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-09-21 21:17:18 UTC
+++ This bug was initially created as a clone of Bug #146141 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041123 Firefox/1.0

Description of problem:
It appears that the netfs script was written with the intention to
gracefully stop (unmount) NFS file systems.  The problem is that the
first thing the script does is forcibly unmount the NFS-mounted file
systems.  As a result, it is unable to terminate any processes that
have files open on those file systems.  On our servers -- where we use
NFS extensively -- this leaves hundreds of processes "stuck" because
NFS was pulled out from under them, and the servers fail to shutdown
properly, usually requiring a power cycle.

We've patched the netfs script so that it gracefully stops all
processes with open files on NFS-mounted file systems.  It makes four
attempts (sending the following signals in this order: HUP, TERM,
KILL, KILL) before forcing the umount.  Test shows that it works as
expected, and our servers shutdown quickly.  I'll include the patch as
soon as I can figure out where to upload it.

Version-Release number of selected component (if applicable):
initscripts-7.31.18.EL-1

How reproducible:
Always

Steps to Reproduce:
1. Start a process that opens a file on an NFS-mounted file system.
2. Shutdown system

    

Actual Results:  System hangs on shutdown.

Expected Results:  System should have shutdown quickly and not
required a power cycle.

Additional info:

-- Additional comment from chris@encs.concordia.ca on 2005-01-25 12:29 EST --
Created an attachment (id=110205)
Patch to fix NFS umount bug in /etc/init.d/netfs

Comment 1 G.Wolfe Woodbury 2006-02-24 22:05:04 UTC
This is biting my system too where home is an NFS mount.

Comment 2 Bug Zapper 2008-04-03 16:23:51 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 00:14:23 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.